Merchant login

After the successful login, you can get access token and refresh token

POST
/api/v1/login

Base URL

Sandbox Base URL

Strictly for sandbox testing. Never use the sandbox URL in your production environment.
https://merchantapisandbox.hesabe.com

Header Parameters

Accept*string

application/json

Content-Type*string

application/json

Request Body

application/json
  1. body
username*string

Merchant username

password*string

Merchant password

Response Body

Details fetched successfully. Decrypt the server response to view the final result

application/json
  1. response
status?boolean
message?string
response?
Example Request
const body = JSON.stringify({  "username": "Test",  "password": "Test@1234"})fetch("https://merchantapisandbox.hesabe.com/api/v1/login", {  method: "POST",  headers: {    "Content-Type": "application/json",    "Accept": "application/json"  },  body})
Example Response
{  "status": true,  "message": "Success",  "response": {    "token": {      "token_type": "Bearer",      "expires_in": 900,      "access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9...",      "refresh_token": "def502005bcf51e405360c33b0be6546e5205cdb62f8..."    }  }}